from django.shortcuts import render, redirect

from .models import Peg

def index(request):
    return render(request, 'index.html')

def results(request):
    return render(request, 'results.html')

def scoreboard(request):
    return render(request, 'scoreboard.html')

def teams(request):
    return render(request, 'teams.html')

def bulk_create_pegs(request):
    """Bulk create pegs"""

    number_of_pegs = request.POST.get("pegAmount")
    for i in range(int(number_of_pegs)):
        Peg.objects.create()

    # return to previous page
    return redirect(request.META.get('HTTP_REFERER'))
